diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -3,7 +3,7 @@
 
 /**
  * A helper file for Laravel 5, to provide autocomplete information to your IDE
- * Generated for Laravel 5.7.9 on 2018-10-16 13:30:37.
+ * Generated for Laravel 5.8.8 on 2019-03-28 11:05:00.
  *
  * This file should not be included in your code, only analyzed by your IDE!
  *
@@ -16,18 +16,7 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static string version()
-     * @method static string basePath()
-     * @method static string environment()
-     * @method static bool isDownForMaintenance()
-     * @method static void registerConfiguredProviders()
-     * @method static \Illuminate\Support\ServiceProvider register(\Illuminate\Support\ServiceProvider|string $provider, array $options = [], bool $force = false)
-     * @method static void registerDeferredProvider(string $provider, string $service = null)
-     * @method static void boot()
-     * @method static void booting(mixed $callback)
-     * @method static void booted(mixed $callback)
-     * @method static string getCachedServicesPath()
-     * @see \Illuminate\Foundation\Application
+     * @see \Illuminate\Contracts\Foundation\Application
      */ 
     class App {
         
@@ -39,19 +28,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function version()
         {
-            return \Illuminate\Foundation\Application::version();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->version();
         }
         
         /**
          * Run the given array of bootstrap classes.
          *
-         * @param array $bootstrappers
+         * @param string[] $bootstrappers
          * @return void 
          * @static 
          */ 
         public static function bootstrapWith($bootstrappers)
         {
-            \Illuminate\Foundation\Application::bootstrapWith($bootstrappers);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->bootstrapWith($bootstrappers);
         }
         
         /**
@@ -63,7 +54,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function afterLoadingEnvironment($callback)
         {
-            \Illuminate\Foundation\Application::afterLoadingEnvironment($callback);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->afterLoadingEnvironment($callback);
         }
         
         /**
@@ -76,7 +68,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function beforeBootstrapping($bootstrapper, $callback)
         {
-            \Illuminate\Foundation\Application::beforeBootstrapping($bootstrapper, $callback);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->beforeBootstrapping($bootstrapper, $callback);
         }
         
         /**
@@ -89,7 +82,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function afterBootstrapping($bootstrapper, $callback)
         {
-            \Illuminate\Foundation\Application::afterBootstrapping($bootstrapper, $callback);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->afterBootstrapping($bootstrapper, $callback);
         }
         
         /**
@@ -100,31 +94,47 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasBeenBootstrapped()
         {
-            return \Illuminate\Foundation\Application::hasBeenBootstrapped();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->hasBeenBootstrapped();
         }
         
         /**
          * Set the base path for the application.
          *
          * @param string $basePath
-         * @return $this 
+         * @return \Illuminate\Foundation\Application 
          * @static 
          */ 
         public static function setBasePath($basePath)
         {
-            return \Illuminate\Foundation\Application::setBasePath($basePath);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->setBasePath($basePath);
         }
         
         /**
          * Get the path to the application "app" directory.
          *
-         * @param string $path Optionally, a path to append to the app path
+         * @param string $path
          * @return string 
          * @static 
          */ 
         public static function path($path = '')
         {
-            return \Illuminate\Foundation\Application::path($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->path($path);
+        }
+        
+        /**
+         * Set the application directory.
+         *
+         * @param string $path
+         * @return \Illuminate\Foundation\Application 
+         * @static 
+         */ 
+        public static function useAppPath($path)
+        {
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->useAppPath($path);
         }
         
         /**
@@ -136,7 +146,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function basePath($path = '')
         {
-            return \Illuminate\Foundation\Application::basePath($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->basePath($path);
         }
         
         /**
@@ -148,7 +159,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function bootstrapPath($path = '')
         {
-            return \Illuminate\Foundation\Application::bootstrapPath($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->bootstrapPath($path);
         }
         
         /**
@@ -160,7 +172,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function configPath($path = '')
         {
-            return \Illuminate\Foundation\Application::configPath($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->configPath($path);
         }
         
         /**
@@ -172,19 +185,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function databasePath($path = '')
         {
-            return \Illuminate\Foundation\Application::databasePath($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->databasePath($path);
         }
         
         /**
          * Set the database directory.
          *
          * @param string $path
-         * @return $this 
+         * @return \Illuminate\Foundation\Application 
          * @static 
          */ 
         public static function useDatabasePath($path)
         {
-            return \Illuminate\Foundation\Application::useDatabasePath($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->useDatabasePath($path);
         }
         
         /**
@@ -195,7 +210,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function langPath()
         {
-            return \Illuminate\Foundation\Application::langPath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->langPath();
         }
         
         /**
@@ -206,7 +222,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function publicPath()
         {
-            return \Illuminate\Foundation\Application::publicPath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->publicPath();
         }
         
         /**
@@ -217,19 +234,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function storagePath()
         {
-            return \Illuminate\Foundation\Application::storagePath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->storagePath();
         }
         
         /**
          * Set the storage directory.
          *
          * @param string $path
-         * @return $this 
+         * @return \Illuminate\Foundation\Application 
          * @static 
          */ 
         public static function useStoragePath($path)
         {
-            return \Illuminate\Foundation\Application::useStoragePath($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->useStoragePath($path);
         }
         
         /**
@@ -241,7 +260,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function resourcePath($path = '')
         {
-            return \Illuminate\Foundation\Application::resourcePath($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->resourcePath($path);
         }
         
         /**
@@ -252,31 +272,34 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function environmentPath()
         {
-            return \Illuminate\Foundation\Application::environmentPath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->environmentPath();
         }
         
         /**
          * Set the directory for the environment file.
          *
          * @param string $path
-         * @return $this 
+         * @return \Illuminate\Foundation\Application 
          * @static 
          */ 
         public static function useEnvironmentPath($path)
         {
-            return \Illuminate\Foundation\Application::useEnvironmentPath($path);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->useEnvironmentPath($path);
         }
         
         /**
          * Set the environment file to be loaded during bootstrapping.
          *
          * @param string $file
-         * @return $this 
+         * @return \Illuminate\Foundation\Application 
          * @static 
          */ 
         public static function loadEnvironmentFrom($file)
         {
-            return \Illuminate\Foundation\Application::loadEnvironmentFrom($file);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->loadEnvironmentFrom($file);
         }
         
         /**
@@ -287,7 +310,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function environmentFile()
         {
-            return \Illuminate\Foundation\Application::environmentFile();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->environmentFile();
         }
         
         /**
@@ -298,18 +322,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function environmentFilePath()
         {
-            return \Illuminate\Foundation\Application::environmentFilePath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->environmentFilePath();
         }
         
         /**
          * Get or check the current application environment.
          *
+         * @param string|array $environments
          * @return string|bool 
          * @static 
          */ 
-        public static function environment()
+        public static function environment($environments = null)
         {
-            return \Illuminate\Foundation\Application::environment();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->environment($environments);
         }
         
         /**
@@ -320,7 +347,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isLocal()
         {
-            return \Illuminate\Foundation\Application::isLocal();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->isLocal();
         }
         
         /**
@@ -332,7 +360,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function detectEnvironment($callback)
         {
-            return \Illuminate\Foundation\Application::detectEnvironment($callback);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->detectEnvironment($callback);
         }
         
         /**
@@ -343,7 +372,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function runningInConsole()
         {
-            return \Illuminate\Foundation\Application::runningInConsole();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->runningInConsole();
         }
         
         /**
@@ -354,7 +384,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function runningUnitTests()
         {
-            return \Illuminate\Foundation\Application::runningUnitTests();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->runningUnitTests();
         }
         
         /**
@@ -365,7 +396,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function registerConfiguredProviders()
         {
-            \Illuminate\Foundation\Application::registerConfiguredProviders();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->registerConfiguredProviders();
         }
         
         /**
@@ -378,7 +410,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function register($provider, $force = false)
         {
-            return \Illuminate\Foundation\Application::register($provider, $force);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->register($provider, $force);
         }
         
         /**
@@ -390,7 +423,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getProvider($provider)
         {
-            return \Illuminate\Foundation\Application::getProvider($provider);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getProvider($provider);
         }
         
         /**
@@ -402,7 +436,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getProviders($provider)
         {
-            return \Illuminate\Foundation\Application::getProviders($provider);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getProviders($provider);
         }
         
         /**
@@ -414,7 +449,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function resolveProvider($provider)
         {
-            return \Illuminate\Foundation\Application::resolveProvider($provider);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->resolveProvider($provider);
         }
         
         /**
@@ -425,7 +461,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function loadDeferredProviders()
         {
-            \Illuminate\Foundation\Application::loadDeferredProviders();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->loadDeferredProviders();
         }
         
         /**
@@ -437,7 +474,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function loadDeferredProvider($service)
         {
-            \Illuminate\Foundation\Application::loadDeferredProvider($service);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->loadDeferredProvider($service);
         }
         
         /**
@@ -450,7 +488,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function registerDeferredProvider($provider, $service = null)
         {
-            \Illuminate\Foundation\Application::registerDeferredProvider($provider, $service);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->registerDeferredProvider($provider, $service);
         }
         
         /**
@@ -465,7 +504,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function make($abstract, $parameters = array())
         {
-            return \Illuminate\Foundation\Application::make($abstract, $parameters);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->make($abstract, $parameters);
         }
         
         /**
@@ -479,7 +519,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function bound($abstract)
         {
-            return \Illuminate\Foundation\Application::bound($abstract);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->bound($abstract);
         }
         
         /**
@@ -490,7 +531,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isBooted()
         {
-            return \Illuminate\Foundation\Application::isBooted();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->isBooted();
         }
         
         /**
@@ -501,31 +543,34 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function boot()
         {
-            \Illuminate\Foundation\Application::boot();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->boot();
         }
         
         /**
          * Register a new boot listener.
          *
-         * @param mixed $callback
+         * @param callable $callback
          * @return void 
          * @static 
          */ 
         public static function booting($callback)
         {
-            \Illuminate\Foundation\Application::booting($callback);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->booting($callback);
         }
         
         /**
          * Register a new "booted" listener.
          *
-         * @param mixed $callback
+         * @param callable $callback
          * @return void 
          * @static 
          */ 
         public static function booted($callback)
         {
-            \Illuminate\Foundation\Application::booted($callback);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->booted($callback);
         }
         
         /**
@@ -535,7 +580,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function handle($request, $type = 1, $catch = true)
         {
-            return \Illuminate\Foundation\Application::handle($request, $type, $catch);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->handle($request, $type, $catch);
         }
         
         /**
@@ -546,7 +592,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function shouldSkipMiddleware()
         {
-            return \Illuminate\Foundation\Application::shouldSkipMiddleware();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->shouldSkipMiddleware();
         }
         
         /**
@@ -557,7 +604,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCachedServicesPath()
         {
-            return \Illuminate\Foundation\Application::getCachedServicesPath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getCachedServicesPath();
         }
         
         /**
@@ -568,7 +616,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCachedPackagesPath()
         {
-            return \Illuminate\Foundation\Application::getCachedPackagesPath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getCachedPackagesPath();
         }
         
         /**
@@ -579,7 +628,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function configurationIsCached()
         {
-            return \Illuminate\Foundation\Application::configurationIsCached();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->configurationIsCached();
         }
         
         /**
@@ -590,7 +640,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCachedConfigPath()
         {
-            return \Illuminate\Foundation\Application::getCachedConfigPath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getCachedConfigPath();
         }
         
         /**
@@ -601,7 +652,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function routesAreCached()
         {
-            return \Illuminate\Foundation\Application::routesAreCached();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->routesAreCached();
         }
         
         /**
@@ -612,7 +664,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCachedRoutesPath()
         {
-            return \Illuminate\Foundation\Application::getCachedRoutesPath();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getCachedRoutesPath();
         }
         
         /**
@@ -623,7 +676,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isDownForMaintenance()
         {
-            return \Illuminate\Foundation\Application::isDownForMaintenance();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->isDownForMaintenance();
         }
         
         /**
@@ -638,19 +692,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function abort($code, $message = '', $headers = array())
         {
-            \Illuminate\Foundation\Application::abort($code, $message, $headers);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->abort($code, $message, $headers);
         }
         
         /**
          * Register a terminating callback with the application.
          *
-         * @param \Closure $callback
-         * @return $this 
+         * @param callable|string $callback
+         * @return \Illuminate\Foundation\Application 
          * @static 
          */ 
         public static function terminating($callback)
         {
-            return \Illuminate\Foundation\Application::terminating($callback);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->terminating($callback);
         }
         
         /**
@@ -661,7 +717,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function terminate()
         {
-            \Illuminate\Foundation\Application::terminate();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->terminate();
         }
         
         /**
@@ -672,7 +729,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getLoadedProviders()
         {
-            return \Illuminate\Foundation\Application::getLoadedProviders();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getLoadedProviders();
         }
         
         /**
@@ -683,7 +741,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getDeferredServices()
         {
-            return \Illuminate\Foundation\Application::getDeferredServices();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getDeferredServices();
         }
         
         /**
@@ -695,7 +754,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setDeferredServices($services)
         {
-            \Illuminate\Foundation\Application::setDeferredServices($services);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->setDeferredServices($services);
         }
         
         /**
@@ -707,7 +767,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function addDeferredServices($services)
         {
-            \Illuminate\Foundation\Application::addDeferredServices($services);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->addDeferredServices($services);
         }
         
         /**
@@ -719,7 +780,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isDeferredService($service)
         {
-            return \Illuminate\Foundation\Application::isDeferredService($service);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->isDeferredService($service);
         }
         
         /**
@@ -731,7 +793,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function provideFacades($namespace)
         {
-            \Illuminate\Foundation\Application::provideFacades($namespace);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->provideFacades($namespace);
         }
         
         /**
@@ -742,7 +805,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getLocale()
         {
-            return \Illuminate\Foundation\Application::getLocale();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getLocale();
         }
         
         /**
@@ -754,7 +818,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setLocale($locale)
         {
-            \Illuminate\Foundation\Application::setLocale($locale);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->setLocale($locale);
         }
         
         /**
@@ -766,7 +831,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isLocale($locale)
         {
-            return \Illuminate\Foundation\Application::isLocale($locale);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->isLocale($locale);
         }
         
         /**
@@ -777,7 +843,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function registerCoreContainerAliases()
         {
-            \Illuminate\Foundation\Application::registerCoreContainerAliases();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->registerCoreContainerAliases();
         }
         
         /**
@@ -788,7 +855,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flush()
         {
-            \Illuminate\Foundation\Application::flush();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        $instance->flush();
         }
         
         /**
@@ -800,7 +868,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getNamespace()
         {
-            return \Illuminate\Foundation\Application::getNamespace();
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->getNamespace();
         }
         
         /**
@@ -813,7 +882,8 @@ namespace Illuminate\Support\Facades {
         public static function when($concrete)
         {
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::when($concrete);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->when($concrete);
         }
         
         /**
@@ -831,7 +901,8 @@ namespace Illuminate\Support\Facades {
         public static function has($id)
         {
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::has($id);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->has($id);
         }
         
         /**
@@ -844,7 +915,8 @@ namespace Illuminate\Support\Facades {
         public static function resolved($abstract)
         {
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::resolved($abstract);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->resolved($abstract);
         }
         
         /**
@@ -857,7 +929,8 @@ namespace Illuminate\Support\Facades {
         public static function isShared($abstract)
         {
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::isShared($abstract);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->isShared($abstract);
         }
         
         /**
@@ -870,7 +943,8 @@ namespace Illuminate\Support\Facades {
         public static function isAlias($name)
         {
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::isAlias($name);
+                        /** @var \Illuminate\Foundation\Application $instance */
+                        return $instance->isAlias($name);
         }
         
         /**
